Pulse API
  1. Valuation
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
          GET
      • Indicators
        • Indicators
      • Cadastral
        • Cadastral by portal id
        • Cadastral by Reference
      • Comparables
        • Search comparables
      • Mortgage
        • Pre-approval
      • Location
        • Suggest cadastral
  1. Valuation

Valuation

GET
/api/integration/v3/valuation/simple
This API endpoint allows users to assess the value of a property.
The valuation is the aggregation of two models:
ECO: Model based on asset's comparables of the zone
ML: Machine learning model based on asset's features
Each model is assigned a rating from 1 to 4 indicating the confidence level:
1: Low reliability
2: Medium-low reliability
3: Medium reliability
4: High reliability

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
Body

🟠400Bad Request
🟠422Unprocessable Content
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.urbandataanalytics.com/api/integration/v3/valuation/simple' \
--header 'Authorization: <api-key>'
Response Response Example
200 - OK
{
    "valuation": {
        "uid": null,
        "timestamp": null,
        "best_method": "ECO",
        "best_value": 901000.0,
        "asset": {
            "country": "es",
            "area": 120.0,
            "operation": 1,
            "listing_type": 1,
            "typology_type": null,
            "property_type": 4,
            "construction_type": 2,
            "build_status": 1,
            "lat": 40.4445827,
            "lon": -3.690900199999999,
            "boundary_id": "26612",
            "address": "Paseo de la Castellana 100, Madrid",
            "floor": 5.0,
            "rooms": 3,
            "nbaths": 2,
            "has_pool": 0,
            "is_exterior": 1,
            "has_garage": 0,
            "has_terrace": 0,
            "has_storage": 0,
            "has_elevator": 1,
            "has_air_conditioner": 0,
            "reference": "target",
            "cat_area": 3
        },
        "ECO": {
            "method": "ECO",
            "rating": 4,
            "value": 901000.0,
            "comparables": null
        },
        "ML1": {
            "method": "ML",
            "rating": 2,
            "value": 859400.0
        },
        "AVG": {
            "method": "AVG",
            "rating": 2,
            "value": 880200.0
        },
        "version": "PRO/2.1.8-stable-ffdcfd0"
    }
}
Modified at 2026-01-13 12:48:20
Previous
Check usage
Next
Indicators
Built with